## org.apache.tools.ant.taskdefs.optional.net
Class TelnetTask.TelnetWrite

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask
          org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetWrite

Enclosing class:
  TelnetTask

public class TelnetTask.TelnetWrite
extends TelnetTask.TelnetSubTask

Sends text to the connected server

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask
`taskString`

Constructor Summary
`TelnetTask.TelnetWrite()`

Method Summary
`void` `execute(TelnetTask.AntTelnetClient telnet)`
`void` `setEcho(boolean b)` should the message be echoed to the log? default=true.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask
`addText, setString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TelnetTask.TelnetWrite

    public TelnetTask.TelnetWrite()

Method Detail

### execute

    public void execute(TelnetTask.AntTelnetClient telnet)
                 throws BuildException

  Overrides:
    `execute` in class `TelnetTask.TelnetSubTask`
  Throws:
    `BuildException`

### setEcho

    public void setEcho(boolean b)

  should the message be echoed to the log? default=true.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.